%define name prism-modelchecker
%define version 4.3.1

Name:           %{name}
Version:        %{version}
Release:        1%{?dist}
Summary:        PRISM is a probabilistic model checker

Group:          Applications/Engineering
License:        GPL
URL:            http://www.prismmodelchecker.org/

Source0:	prism-%{version}-src.tar.gz

%description
PRISM is a probabilistic model checker, a tool for formal modelling and analysis of systems that exhibit random or probabilistic behaviour. It has been used to analyse systems from many different application domains, including communication and multimedia protocols, randomised distributed algorithms, security protocols, biological systems and many others.

%prep
%setup -q -n prism-%{version}-src

%build
# smp flags don't work, makefile is buggy
make 

%install
rm -rf %{buildroot}

# this only modifies paths
./install.sh

mkdir -p %{buildroot}%{_bindir} %{buildroot}/opt/%{name}-%{version}
cp -a bin etc lib classes dtds images %{buildroot}/opt/%{name}-%{version}
ln -s /opt/%{name}-%{version}/bin/{,x}prism %{buildroot}%{_bindir}
sed -ri 's#^PRISM_DIR=.*$#PRISM_DIR=/opt/%{name}-%{version}#' %{buildroot}/opt/%{name}-%{version}/bin/{,x}prism

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG.txt COPYING.txt doc examples README.txt
/opt/%{name}-%{version}
%{_bindir}/prism
%{_bindir}/xprism
